// SpectatorDebug.cpp ***********************************************//
// Copyright Microsoft Corporation, 2001                             //
// Created     Owner     Modification                                //
// --------    ------    -------------                               //
// 3/29/2001  sdemar    provide some output window debugging         //
//*******************************************************************//

#include "SpectatorDebug.h"
#include <stdlib.h>
#include <string>
using namespace std;

extern "C" void __stdcall OutputDebugStringA( const char * String );

void SpecDebug1(const char* x)
{
#if _DEBUG
	OutputDebugStringA(x);
	OutputDebugStringA("\n");
#endif
}


void SpecDebug2(const char* x, const char* y)
{
#if _DEBUG
	OutputDebugStringA(x);
	OutputDebugStringA(y);
	OutputDebugStringA("\n");
#endif
}


void SpecDebugInt(const char* x, int y)
{
#if _DEBUG
	OutputDebugStringA(x);
	char num[80];
	_itoa( y, num, 10 );
	OutputDebugStringA(num);
	OutputDebugStringA("\n");
#endif
}


void SpecDebugFlt(const char* x, double y)
{
#if _DEBUG
	OutputDebugStringA(x);
	char num[80];
	_gcvt( y, 12, num );
	OutputDebugStringA(num);
	OutputDebugStringA("\n");
#endif
}


